dpkg-parsechangelog(1)

NAME
dpkg-parsechangelog - auswerten von Debian changelog-Dateien

ÜBERSICHT
dpkg-parsechangelog [Optionen]

BESCHREIBUNG
dpkg-parsechangelog liest das Änderungsprotokoll (»changelog«) eines entpackten Debian-Quellcodebaums ein, wertet diese aus und gibt die Informationen in der Standard-Ausgabe in maschinenlesbarer Form aus.

OPTIONEN

-lChangelog-Datei
    Gibt die Änderungsprotokolldatei an, aus der Informationen gelesen werden sollen. Standardmäßig debian/changelog.

-FChangelog-Format
    Gibt das Format der Änderungsprotokolldatei an. Standardmäßig wird das Format aus einer speziellen Zeile in der Nähe des Endes der Änderungsprotokolldatei gelesen oder, falls dies fehlschlägt, wird das Debian-Standardformat angenommen.

-Llibverzeichnis
    Spezifiziere ein zusätzliches Verzeichnis, dass nach Parser-Skripten durchsucht werden soll. Diese Verzeichnis wird vor den Standardverzeichnissen (derzeit /usr/local/lib/dpkg/parsechangelog und /usr/lib/dpkg/parsechangelog) durchsucht.

-h, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

  Parser-Optionen:
Die folgenden Optionen können verwendet werden, um die Ausgabe des Changelog-Parsers zu beinflussen, z.B. den Bereich der Einträge oder das Format der Ausgabe. Sie müssen vom in Frage kommenden Parser-Skript unterstützt werden. Lesen Sie auch WARNUNGEN.

--format Ausgabeformat
    Setze das Ausgabeformat. Derzeit werden die Werte dpkg und rfc822 unterstützt. dpkg ist das klassische Ausgabeformat (es existiert länger als diese Option), das voreingestellt ist. Es besteht aus einem Absatz im Debian-Steuerformat (lesen Sie deb-control(5)). Falls mehr als ein Eintrag angefordert wird, dann werden die meisten Felder aus dem letzten Eintrag verwendet, falls dies nicht anders angegeben wird:

    Source: <Paket-Name>

    Version: <Version>

    Distribution: <Ziel-Distribution>

    Urgency: <Dringlichkeit>
        Die höchste Dringlichkeit aller enthaltenen Einträge wird verwendet.

    Maintainer: <Autor>

    Date: <Datum>

    Closes: <Fehlernummer>
        Die Felder »Closes« aller enthaltenen Einträge werden zusammengefasst.

    Changes: <Changelog-Einträge>
        Der Text aller Changelog-Einträge wird aneinandergehängt. Um aus diesem Feld ein gültiges mehrzeiliges Feld im Debian Steuer-Format zu bekomen, werden leere Zeilen mit einem einzelnen Satzpunkt ersetzt und alle Zeilen durch ein Leerzeichen eingerückt. Der genaue Inhalt hängt vom Changelog-Format ab.

    Es können zusätzliche benutzerdefinierte Felder vorhanden sein.

    Das rfc822-Format verwendet die gleichen Felder, gibt aber einzelne Absätze für jeden Changelog-Eintrag aus, so dass alle Metadaten für jeden Eintrag erhalten bleiben.

--since Version, -sVersion, -vVersion
    füge alle Änderungen neuer als aus Version hinzu.

--until Version, -uVersion
    füge alle Änderungen älter als aus Version hinzu.

--from Version, -fVersion
    füge alle Änderungen aus oder neuer als aus Version hinzu.

--to Version, -tVersion
    füge alle Änderungen aus oder älter als aus Version hinzu.

--count Anzahl, -cAnzahl, -nAnzahl
    füge Anzahl Einträge vom Kopf (oder vom Fuß, falls Anzahl negativ ist) hinzu.

--offset Zahl, -oZahl
    ändere den Startpunkt für --count, gezählt vom Kopf (oder Fuß falls, falls Zahl negativ ist).

--all
    alle Änderungen aufnehmen. Hinweis: Andere Optionen haben keine Wirkung, wenn diese verwandt wird.

WARNUNG
Alle Parser-Optionen außer -v werden nur von dpkg Version 1.14.16 oder neuer unterstützt. Parser von Dritten für Changelog-Formate außer debian könnten nicht alle Optionen unterstützen.

DATEIEN

debian/changelog
    Die changelog-Datei wird verwendet, um versionsabhängige Informationen über das Quellpaket, wie beispielsweise die Dringlichkeit (»urgency«) und die Distribution des Uploads, die Änderungen seit einer bestimmten Veröffentlichung und die Quellversionsnummer selbst zu erhalten.

AUTOREN
Copyright © 1995-1996 Ian Jackson
Copyright © 2000 Wichert Akkerman
Copyright © 2007, 2008 Frank Lichtenheld

Dies ist Freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE Haftung.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2010 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.